.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH OPENTEACHER 1 "November 1, 2012"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
openteacher \- Learn words in a foreign language
.SH SYNOPSIS
.B openteacher -p 
.RI [profile] 
.br
.SH DESCRIPTION
OpenTeacher helps you to learn a foreign language.  Just enter some words in
your native or foreign language, and OpenTeacher tests you. 

OpenTeacher has the following features:
 
* Read and write T2K and wrts files
  
* Easy-to-use interface
 
* Support for synonyms
 
* Greek input
 
* txt-output to print or send
 
* Available in English and Dutch


.SH USER PROFILES

.TP
\fB all\fR\fR
Enable every OpenTeacher GUI feature.

.TP
\fB selfstudy\fR\fR
Everything you need for using OpenTeacher for self-study.

.TP
\fB student@home\fR\fR
Features for students using OpenTeacher at home.

.TP
\fB student@school\fR\fR
Features for students using OpenTeacher at school.

.TP
\fB wordsonly\fR\fR
Just gimme my good old OpenTeacher 2.x!


.SH DEVELOPER PROFILES
.TP
\fB codedocumentation\fR\fR
Code documentation web server.

.TP
\fB get-translation-authors\fR\fR
Gathers a list of all translators of OpenTeacher in Python code format.

.TP
\fB help\fR\fR
Shows an overview of all documented available profiles.

.TP
\fB ircbot\fR\fR
Starts the IRC bot used in the #openteacher channel at irc.freenode.net.

.TP
\fB module-graph\fR\fR
Builds a graph of all modules and how they are related.

.TP
\fB package-debian\fR\fR
Packages this installation into a .deb package.

.TP
\fB package-source\fR\fR
Packages the source of this installation into a zip file.

.TP
\fB package-source-with-setup\fR\fR
Packages the source of this installation into a tarball, and includes a setup.py file.

.TP
\fB shell\fR\fR
Starts an interactive python shell with a module manager with all modules loaded.

.TP
\fB testsuite\fR\fR
Run the test suite.

.TP
\fB update-translations\fR\fR
Updater for all .pot and .po files.

.SH AUTHOR
OpenTeacher was written by Milan Boers, Marten de Vries, Roel Huybrechts,
Cas Widdershoven and David D Lowe.
.PP
This manual page was written by Charlie Smotherman <cjsmo@cableone.net>,
for the Debian project (and may be used by others).
